<template>
  <v-simple-table dark>
    <template v-slot:default>
      <thead>
        <tr>
          <th class="text-center">{{ $t("ProviderEdit.Day") }}</th>
          <th class="text-center">{{ $t("ProviderEdit.From") }}</th>
          <th class="text-center">{{ $t("ProviderEdit.To") }}</th>
        </tr>
      </thead>
      <div>
        
      </div>
      <tbody v-if="getProvider.providerTimes.length > 0">
        <tr v-for="item in getProvider.providerTimes" :key="item.day">
          <td class="text-center">
            {{
              item.day == 0
                ? $t("ProviderEdit.Sunday")
                : item.day == 1
                ? $t("ProviderEdit.Monday")
                : item.day == 2
                ? $t("ProviderEdit.Tuesday")
                : item.day == 3
                ? $t("ProviderEdit.Wednesday")
                : item.day == 4
                ? $t("ProviderEdit.Thursday")
                : item.day == 5
                ? $t("ProviderEdit.Friday")
                : item.day == 6
                ? $t("ProviderEdit.Saturday")
                : ""
            }}
          </td>
          <td class="text-center">{{ new Date(item.from).toLocaleString() }}</td>
          <td class="text-center">{{ new Date(item.to).toLocaleString() }}</td>
        </tr>
      </tbody>
      <tbody v-else>
        <tr>
          <td colspan="3" class="text-center">No Available data</td>
        </tr>
      </tbody>
    </template>
  </v-simple-table>
</template>

<script>
import { mapActions, mapGetters } from "vuex";

export default {
  mounted() {
    this.fetchSingleProvider(this.$route.params.id);
  },
  methods: {
    ...mapActions("users", ["fetchSingleProvider"]),
  },
  computed: {
    ...mapGetters("users", ["getProvider"]),
  },
};
</script>